;-| AI Activation Commands |-----------------------------------------------
; From BBH
[Command]
name = "CPU0"
command = U,U,D,D,B,F,B,F,s,s
time = 0

[Command]
name = "CPU1"
command = U,U,D,D,B,F,B,F,a,a
time = 0

[Command]
name = "CPU2"
command = U,U,D,D,B,F,B,F,b,b
time = 0

[Command]
name = "CPU3"
command = U,U,D,D,B,F,B,F,c,c
time = 0

[Command]
name = "CPU4"
command = U,U,D,D,B,F,B,F,x,x
time = 0

[Command]
name = "CPU5"
command = U,U,D,D,B,F,B,F,y,y
time = 0

[Command]
name = "CPU6"
command = U,U,D,D,B,F,B,F,z,z
time = 0

[Command]
name = "CPU7"
command = U,U,D,D,B,F,B,F,a,b
time = 0

[Command]
name = "CPU8"
command = U,U,D,D,B,F,B,F,b,c
time = 0

[Command]
name = "CPU9"
command = U,U,D,D,B,F,B,F,a,c
time = 0

[Command]
name = "CPU10"
command = U,U,D,D,B,F,B,F,x,y
time = 0

[Command]
name = "CPU11"
command = U,U,D,D,B,F,B,F,y,z
time = 0

[Command]
name = "CPU12"
command = U,U,D,D,B,F,B,F,x,z
time = 0

[Command]
name = "CPU13"
command = U,U,D,D,B,F,B,F,a,x
time = 0

[Command]
name = "CPU14"
command = U,U,D,D,B,F,B,F,a,y
time = 0

[Command]
name = "CPU15"
command = U,U,D,D,B,F,B,F,a,z
time = 0

[Command]
name = "CPU16"
command = U,U,D,D,B,F,B,F,b,x
time = 0

[Command]
name = "CPU17"
command = U,U,D,D,B,F,B,F,b,y
time = 0

[Command]
name = "CPU18"
command = U,U,D,D,B,F,B,F,b,z
time = 0

[Command]
name = "CPU19"
command = U,U,D,D,B,F,B,F,c,x
time = 0

[Command]
name = "CPU20"
command = U,U,D,D,B,F,B,F,c,y
time = 0

[Command]
name = "CPU21"
command = U,U,D,D,B,F,B,F,c,z
time = 0

[Command]
name = "CPU22"
command = U,U,D,D,B,F,B,F,x,a
time = 0

[Command]
name = "CPU23"
command = U,U,D,D,B,F,B,F,x,b
time = 0

[Command]
name = "CPU24"
command = U,U,D,D,B,F,B,F,x,c
time = 0

[Command]
name = "CPU25"
command = U,U,D,D,B,F,B,F,y,a
time = 0

[Command]
name = "CPU26"
command = U,U,D,D,B,F,B,F,y,b
time = 0

[Command]
name = "CPU27"
command = U,U,D,D,B,F,B,F,y,c
time = 0

[Command]
name = "CPU28"
command = U,U,D,D,B,F,B,F,z,a
time = 0

[Command]
name = "CPU29"
command = U,U,D,D,B,F,B,F,z,b
time = 0

[Command]
name = "CPU30"
command = U,U,D,D,B,F,B,F,z,c
time = 0

[Command]
name = "CPU31"
command = U,U,D,D,B,F,B,F,s,s,s
time = 0

; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional -- defaults to 15 if omitted)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /DB, a   ;hold down-back while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;   It's recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This matches the way most
;   popular fighting games implement their command detection.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. Defaults to 15
;   if omitted
;
; If you have two or more commands with the same name, all of them will
; work. You can use it to allow multiple motions for the same move.
;
; Some common commands examples are given below.
;
; [Command] ;Quarter circle forward + x
; name = "QCF_x"
; command = ~D, DF, F, x
;
; [Command] ;Half circle back + a
; name = "HCB_a"
; command = ~F, DF, D, DB, B, a
;
; [Command] ;Two quarter circles forward + y
; name = "2QCF_y"
; command = ~D, DF, F, D, DF, F, y
;
; [Command] ;Tap b rapidly
; name = "5b"
; command = b, b, b, b, b
; time = 30
;
; [Command] ;Charge back, then forward + z
; name = "charge_B_F_z"
; command = ~60$B, F, z
; time = 10
;
; [Command] ;Charge down, then up + c
; name = "charge_D_U_c"
; command = ~60$D, U, c
; time = 10
;

;-| Super Motions |--------------------------------------------------------


;-| Special Motions |------------------------------------------------------
[Command]
name = "spin_punch"
command = ~F, ~B, F, a

[Command]
name = "barbell_toss"
command = ~D, DF, F, b

[Command]
name = "weight_drop"
command = ~D, DB, B, b

[Command]
name = "barbell_roll"
command = ~D, DF, F, a

[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y

[Command]
name = "QCB_a"
command = ~D, DF, F, a

[Command]
name = "QCB_b"
command = ~D, DF, F, b

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "forward_a"
command = /$F,a
time = 1

[Command]
name = "forward_x"
command = /$F,x
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;;;;;;;;;;;;
;; AI SET ;;
;;;;;;;;;;;;
[State -1]
type = VarSet
triggerall = roundstate = 2
trigger1 = command = "CPU0"
trigger2 = command = "CPU1"
trigger3 = command = "CPU2"
trigger4 = command = "CPU3"
trigger5 = command = "CPU4"
trigger6 = command = "CPU5"
trigger7 = command = "CPU6"
trigger8 = command = "CPU7"
v = 0
value = 1

[State -1]
type = VarSet
triggerall = roundstate = 2
trigger1 = command = "CPU8"
trigger2 = command = "CPU9"
trigger3 = command = "CPU10"
trigger4 = command = "CPU11"
trigger5 = command = "CPU12"
trigger6 = command = "CPU13"
trigger7 = command = "CPU14"
trigger8 = command = "CPU15"
v = 0
value = 1

[State -1]
type = VarSet
triggerall = roundstate = 2
trigger1 = command = "CPU16"
trigger2 = command = "CPU17"
trigger3 = command = "CPU18"
trigger4 = command = "CPU19"
trigger5 = command = "CPU20"
trigger6 = command = "CPU21"
trigger7 = command = "CPU22"
trigger8 = command = "CPU23"
v = 0
value = 1

[State -1]
type = VarSet
triggerall = roundstate = 2
trigger1 = command = "CPU24"
trigger2 = command = "CPU25"
trigger3 = command = "CPU26"
trigger4 = command = "CPU27"
trigger5 = command = "CPU28"
trigger6 = command = "CPU29"
trigger7 = command = "CPU30"
trigger8 = command = "CPU31"
v = 0
value = 1

;;;;;;;;;;;;;;;;;;;
;;; AI SPECIALS ;;;
;;;;;;;;;;;;;;;;;;;

[State -1, AI Spin Punch]
type = ChangeState
value = 1000
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = Random <= 400

[State -1, AI Barbell Toss]
type = ChangeState
value = 1010
triggerall = var(0) = 1 && StateType = S && P2BodyDist X > 50 && NumProj = 0
trigger1 = ctrl
trigger1 = Random <= 400

[State -1, AI Weight Drop]
type = ChangeState
value = 1020
triggerall = var(0) = 1 && StateType = S && P2BodyDist X > 50 && NumProj = 0
trigger1 = ctrl
trigger1 = Random <= 400

[State -1, AI Barbell Roll]
type = ChangeState
value = 1030
triggerall = var(0) = 1 && StateType = S && P2BodyDist X > 50 && NumProj = 0
trigger1 = ctrl
trigger1 = Random <= 400

;;;;;;;;;;;;;;;;;;;;
;; AI COMBO STUFF ;;
;;;;;;;;;;;;;;;;;;;;
[State -1, AI Combo1]
type = ChangeState
value = 200
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
;PART 2 OF COMBO 1
trigger1 = HitCount = 1
trigger1 = StateNo = 200
trigger1 = MoveContact
trigger1 = Random <= 500

[State -1, AI Combo2]
type = ChangeState
value = 210
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
;PART 3 OF COMBO 1
trigger1 = HitCount = 2
trigger1 = StateNo = 200
trigger1 = MoveContact
trigger1 = Random <= 500

[State -1, AI Combo3]
type = ChangeState
value = 240
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
;PART 2 OF COMBO 2
trigger1 = HitCount = 1
trigger1 = StateNo = 230
trigger1 = MoveContact
trigger1 = Random <= 500
;PART 2 OF COMBO 3
trigger2 = HitCount = 1
trigger2 = StateNo = 1000
trigger2 = MoveContact
trigger2 = Random <= 500

[State -1, AI Combo4]
type = ChangeState
value = 250
triggerall = var(0) = 1 && StateType = S && P2BodyDist X <= 20
;PART 3 OF COMBO 2
trigger1 = HitCount = 2
trigger1 = StateNo = 240
trigger1 = MoveContact
trigger1 = Random <= 500

[State -1, AI Combo5]
type = ChangeState
value = 400
triggerall = var(0) = 1 && StateType = C && P2BodyDist X < 40
;PART 3 OF COMBO 3
trigger1 = HitCount = 2
trigger1 = StateNo = 240
trigger1 = MoveContact
trigger1 = Random <= 500

[State -1, AI Combo6]
type = ChangeState
value = 400
triggerall = var(0) = 1 && StateType = C && P2BodyDist X < 40
;PART 3 OF COMBO 3
trigger1 = HitCount = 2
trigger1 = StateNo = 240
trigger1 = MoveContact
trigger1 = Random <= 500

[State -1, AI Combo7]
type = ChangeState
value = 420
triggerall = var(0) = 1 && StateType = C && P2BodyDist X < 40
;PART 4 OF COMBO 1
trigger1 = HitCount = 3
trigger1 = StateNo = 210
trigger1 = MoveContact
trigger1 = Random <= 800
;PART 4 OF COMBO 3
trigger2 = HitCount = 3
trigger2 = StateNo = 400
trigger2 = MoveContact
trigger2 = Random <= 800

;;;;;;;;;;;;;;
;; AI MOVES ;;
;;;;;;;;;;;;;;
[State -1, AI HP]
type = ChangeState
value = 200
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
trigger1 = Random <= 500
trigger1 = Ctrl

[State -1, AI LP]
type = ChangeState
value = 210
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 500

[State -1, AI Elbow]
type = ChangeState
value = 220
triggerall = var(0) = 1 && StateType = S && P2BodyDist X <= 20
trigger1 = Ctrl
trigger1 = Random <= 500

[State -1, AI HK]
type = ChangeState
value = 230
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 200

[State -1, AI LK]
type = ChangeState
value = 240
triggerall = var(0) = 1 && StateType = S && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 200

[State -1, AI Knee]
type = ChangeState
value = 250
triggerall = var(0) = 1 && StateType = S && P2BodyDist X <= 20
trigger1 = Ctrl
trigger1 = Random <= 200

[State -1, AI Crouching Punch]
type = ChangeState
value = 400
triggerall = var(0) = 1 && StateType = C && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 500

[State -1, AI Crouching Light Kick]
type = ChangeState
value = 410
triggerall = var(0) = 1 && StateType = C && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 200

[State -1, AI Uppercut]
type = ChangeState
value = 420
triggerall = var(0) = 1 && StateType = C && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 500

[State -1, AI Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(0) = 1 && StateType = C && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 300

[State -1, AI Jump Light Punch]
type = ChangeState
value = 600
triggerall = var(0) = 1 && StateType = A && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 500

[State -1, AI Jump Strong Punch]
type = ChangeState
value = 610
triggerall = var(0) = 1 && StateType = A && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 500

[State -1, AI Jump Light Kick]
type = ChangeState
value = 630
triggerall = var(0) = 1 && StateType = A && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 300

[State -1, AI Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(0) = 1 && StateType = A && P2BodyDist X < 40
trigger1 = Ctrl
trigger1 = Random <= 300

[State -1, AI Throw]
type = ChangeState
value = 800
triggerall = var(0) = 1 && StateType = S && StateNo != 100 && P2BodyDist X <= 20 && Ctrl && (P2statetype = S || P2statetype = C) && P2MoveType != H
trigger1 = Random <= 700

;--------------------------------------------------------------------------;-
;Run Fwd
;_bV
;[State -1, Run Fwd]
;type = ChangeState
;value = 100
;trigger1 = command = "FF"
;trigger1 = statetype = S
;trigger1 = ctrl

;--------------------------------------------------------------------------;-
;Run Back
;ރ_bV
;[State -1, Run Back]
;type = ChangeState
;value = 105
;trigger1 = command = "BB"
;trigger1 = statetype = S
;trigger1 = ctrl

;---------------------------------------------------------------------------
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "b"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = var(0) = 0
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 30
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 32
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;;;;;;;;;;;;;;;;;;;;;
;;; SPECIAL MOVES ;;;
;;;;;;;;;;;;;;;;;;;;;

;--------------------------------------------------------------------------;-
;Spin Punch
[State -1, Spin Punch]
type = ChangeState
value = 1000
triggerall = command = "spin_punch"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl

;--------------------------------------------------------------------------;-
;Barbell Toss
[State -1, Barbell Toss]
type = ChangeState
value = 1010
triggerall = command = "barbell_toss"
triggerall = var(0) = 0
triggerall = NumProj = 0
trigger1 = statetype = S
trigger1 = ctrl

;--------------------------------------------------------------------------;-
;Weight Drop
[State -1, Weight Drop]
type = ChangeState
value = 1020
triggerall = command = "weight_drop"
triggerall = NumProj = 0
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl

;--------------------------------------------------------------------------;-
;Barbell Roll
[State -1, Barbell Roll]
type = ChangeState
value = 1030
triggerall = command = "barbell_roll"
triggerall = NumProj = 0
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
;Standing Elbow
;p`
[State -1, Standing Elbow]
type = ChangeState
value = 220
triggerall = command = "forward_a"
triggerall = P2BodyDist X <= 10
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Standing High Punch
;p`
[State -1, Standing High Punch]
type = ChangeState
value = 200
triggerall = command = "a"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl
;PART 2 OF COMBO 1
trigger2 = HitCount = 1
trigger2 = StateNo = 200
trigger2 = MoveContact

;---------------------------------------------------------------------------
;Standing Low Punch
;p`
[State -1, Standing Low Punch]
type = ChangeState
value = 210
triggerall = command = "b"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl
;PART 3 OF COMBO 1
trigger2 = HitCount = 2
trigger2 = StateNo = 200
trigger2 = MoveContact

;---------------------------------------------------------------------------
;Standing Knee
;LbN
[State -1, Standing Knee]
type = ChangeState
value = 250
triggerall = command = "forward_x"
triggerall = P2BodyDist X <= 10
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl
;PART 3 OF COMBO 2
trigger2 = HitCount = 2
trigger2 = StateNo = 240
trigger2 = MoveContact

;---------------------------------------------------------------------------
;Standing High Kick
;LbN
[State -1, Standing High Kick]
type = ChangeState
value = 230
triggerall = command = "x"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Standing Low Kick
;LbN
[State -1, Standing Low Kick]
type = ChangeState
value = 240
triggerall = command = "y"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl
;PART 2 OF COMBO 2
trigger2 = HitCount = 1
trigger2 = StateNo = 230
trigger2 = MoveContact
;PART 2 OF COMBO 3
trigger3 = HitCount = 1
trigger3 = StateNo = 1000
trigger3 = MoveContact

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Punch
;Ⴊݎp`
[State -1, Crouching Punch]
type = ChangeState
value = 400
triggerall = command = "b"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl
;PART 3 OF COMBO 3
trigger2 = HitCount = 2
trigger2 = StateNo = 240
trigger2 = MoveContact

;---------------------------------------------------------------------------
;Crouching Light Kick
;Ⴊ݋p`
[State -1, Crouching Light Kick]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Uppercut
;ႪݎLbN
[State -1, Uppercut]
type = ChangeState
value = 420
triggerall = command = "a"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl
;PART 4 OF COMBO 1
trigger2 = HitCount = 3
trigger2 = StateNo = 210
trigger2 = MoveContact
;PART 4 OF COMBO 3
trigger3 = HitCount = 3
trigger3 = StateNo = 400
trigger3 = MoveContact

;--------------------------------------------------------------------------;-
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "x"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl
;trigger2 = (stateno = 400) || (stateno = 430)
;trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "b"
triggerall = var(0) = 0
trigger1 = statetype = A
trigger1 = ctrl
;trigger2 = stateno = 600
;trigger2 = statetime >= 7

;--------------------------------------------------------------------------;-
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "a"
triggerall = var(0) = 0
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "y"
triggerall = var(0) = 0
trigger1 = statetype = A
trigger1 = ctrl

;--------------------------------------------------------------------------;-
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "x"
triggerall = var(0) = 0
trigger1 = statetype = A
trigger1 = ctrl